#include <bits/stdc++.h>
using namespace std;
int main() {
  int N=2,K;
  cin>>N>>K;
  int i;
  for(i=0;i<N;i++)
  {
  cin>>i;
  }
  if(K==1)
  cout<<"2"<<endl;
  if(K==2)
  cout<<"1"<<endl;
    return 0;
}